<?php

namespace App\Http\Controllers\Intranet;

use App\Http\Controllers\Controller;
use App\Models\Photo;
use App\Models\Postfor;
use Illuminate\Http\Request;
use App\User;

class UserController extends Controller
{
    public function index(){
        $datas = User::where('role', 'Membre')->get();
        return view('intranet.user.index', compact('datas'));
    }

    public function show(){
        return view('intranet.user.create');
    }

    public function create(){
        $postfors = Postfor::all();
        return view('intranet.user.create', compact('postfors'));
    }

    public function store(Request $request){
        $data = $request->all();
        $data['password'] = bcrypt($data['password']);

        if(isset($data['photo1'])){
            $data['photo1'] = $request->file('photo1')->hashName();
            $request->file('photo1')->move(storage_path('app/public/photos'), $data['photo1']);
        }
        if(isset($data['photo2'])){
            $data['photo2'] = $request->file('photo2')->hashName();
            $request->file('photo2')->move(storage_path('app/public/photos'), $data['photo2']);
        }
        if(isset($data['formular'])){
            $data['formular'] = $request->file('formular')->hashName();
            $request->file('formular')->move(storage_path('app/public/photos'), $data['formular']);
        }

        User::create($data);
        return $this->index();
    }

    public function edit($id){
        $postfors = Postfor::all();
        $data = User::find($id);
//        $data['tel'] = explode(' ', $data['tel']);
        return view('intranet.user.edit', compact('postfors', 'id', 'data'));
    }

    public function update(Request $request, $id){
        $data = $request->all();
        if($data['password']){
            $data['password'] = bcrypt($data['password']);
        }else{
            $data['password'] = User::find($id)->password;
        }

        if(isset($data['photo1'])){
            $data['photo1'] = $request->file('photo1')->hashName();
            $request->file('photo1')->move(storage_path('app/public/photos'), $data['photo1']);
        }
        if(isset($data['photo2'])){
            $data['photo2'] = $request->file('photo2')->hashName();
            $request->file('photo2')->move(storage_path('app/public/photos'), $data['photo2']);
        }
        if(isset($data['formular'])){
            $data['formular'] = $request->file('formular')->hashName();
            $request->file('formular')->move(storage_path('app/public/photos'), $data['formular']);
        }

        if(is_null($data['bornday'])){
            $data['bornday'] = $data['hiddenbornday'];
        }

        User::find($id)->update($data);
        return $this->edit($id);
    }

    public function destroy($id){
        User::find($id)->delete();
        return $this->index();
    }

}
