@extends('intranet.layouts.app')

@section('content')
    @if(auth()->user()->isAdmin() or auth()->user()->id == $data->id)
    <div id="page-wrapper">
        <div class="container-fluid">
            <div class="row bg-title">
                <div class="col-lg-3 col-md-4 col-sm-4 col-xs-12">
                    <h4 class="page-title">Mon profil</h4>
                </div>
                <div class="col-lg-9 col-sm-8 col-md-8 col-xs-12">
                    <ol class="breadcrumb">
                        @if(auth()->user()->isAdmin())
{{--                        <li><a href="{{ route('dashboard') }}">Tableau de bord</a></li>--}}
                        @endif
                        <li class="active">Mon profil</li>
                    </ol>
                </div>
            </div>
            <!-- /.row -->
            <!-- .row -->
            <div class="row" style="background: #fff">

                <form action="{{ route('user.update', $data->id) }}" method="post" enctype="multipart/form-data">
                    {{ csrf_field() }}
                    {{ method_field('PUT') }}
                    <div class="col-md-8 col-xs-12">
                        <div class="white-box">
                                <div class="form-group">
                                    <label class="col-md-12">Nom</label>
                                    <div class="col-md-12">
                                        <input value="{{ $data->name }}" name="name" type="text" placeholder="Doe"
                                               class="form-control form-control-line"> </div>
                                </div>

                                <div class="form-group">
                                    <label class="col-md-12">Prénoms</label>
                                    <div class="col-md-12">
                                        <input value="{{ $data->firstname }}" name="firstname" type="text" placeholder="John"
                                               class="form-control form-control-line"> </div>
                                </div>

                                <div class="form-group">
                                    <label class="col-md-12">Date de naissance</label>
                                    <div class="col-md-12">
                                        <input value="{{ $data->bornday->format('d/m/Y') }}" name="bornday" type="date" placeholder="jj/mm/yyyy"
                                               class="form-control form-control-line"/> </div>
                                </div>
                                <input type="hidden" name="hiddenbornday" value="{{ $data->bornday }}">

                                @if(auth()->user()->isAdmin())
                                <div class="form-group">
                                    <label class="col-md-12">Année d'inscription</label>
                                    <div class="col-md-12">
                                        <select name="signyear" id="" class="form-control form-control-line">
                                            @php
                                                $s = "";
                                                for($i = 2020; $i >= 1950 ; $i--){
                                                    if($i == $data->signyear) $s = "selected";
                                                    else $s = "";
                                                    echo "<option $s>$i</option>";
                                                }
                                            @endphp
                                        </select>
                                     </div>
                                </div>
                                @endif

                                <div class="form-group">
                                    <label class="col-md-12">Téléphone</label>
                                    <div class="col-md-12">
                                        <input id="output" type="hidden" name="tel" value="{{ $data->tel }}"/>
                                        <input type="tel" id="phone" class="form-control{{ $errors->has('phone_number') ? ' is-invalid' : '' }}" value="{{ $data->tel }}"  onkeypress="return nbre(event)" required>
                                        {{--                                        <input name="tel" type="text" placeholder="+228 90 90 90 90"--}}
                                        {{--                                               class="form-control-line"> </div>--}}
                                        <br><br></div>
                                </div>

                                <div class="form-group">
                                    <label class="col-md-12">Lieu de résidence</label>
                                    <div class="col-md-12">
                                        <input value="{{ $data->place }}" name="place" type="text" placeholder="Bè, Lomé"
                                               class="form-control form-control-line"> </div>
                                </div>

                                <div class="form-group">
                                    <label class="col-md-12">Nationalité</label>
                                    <div class="col-md-12">
                                        <input value="{{ $data->nation }}" name="nation" type="text" placeholder="Togolaise"
                                               class="form-control form-control-line"> </div>
                                </div>

                                <div class="form-group">
                                    <label class="col-md-12">Mensuration (Tour de hanche en cm)</label>
                                    <div class="col-md-12">
                                        <input value="{{ $data->measurement }}" name="measurement" type="text" placeholder="50"
                                                class="form-control form-control-line"> </div>
                                </div>

                                <div class="form-group">
                                    <label class="col-md-12">Hauteur (taille en cm)</label>
                                    <div class="col-md-12">
                                        <input value="{{ $data->height }}" name="height" type="text" placeholder="180"
                                               class="form-control form-control-line"> </div>
                                </div>

                                <div class="form-group">
                                    <label class="col-md-12">Commentaire</label>
                                    <div class="col-md-12">
                                        <textarea name="comments" rows="5" class="form-control form-control-line">{{ $data->comments }}</textarea>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label class="col-sm-12">Sexe</label>
                                    <div class="col-sm-12">
                                        <select name="sex" class="form-control form-control-line">
                                            <option @if($data->sex == 'Masculin') selected @endif>Masculin</option>
                                            <option>Féminin</option>
                                            <option>Autre</option>
                                        </select>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label class="col-md-12">Postule pour</label>
                                    <div class="col-md-12">
                                        <select name="postfor_id" class="form-control form-control-line">
                                            @foreach($postfors as $postfor)
                                                <option value="{{ $postfor->id }}">{{ $postfor->name }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label class="col-md-12">Photo 1</label>
                                    <div class="col-md-12">
                                        <input name="photo1" type="file" placeholder="Johnathan Doe"
                                               class="form-control form-control-line"> </div>
                                </div>

                                <div class="form-group">
                                    <label class="col-md-12">Photo 2</label>
                                    <div class="col-md-12">
                                        <input name="photo2" type="file" placeholder="Johnathan Doe"
                                               class="form-control form-control-line"> </div>
                                </div>

                                <div class="form-group">
                                    <label class="col-md-12">Image du formulaire physique (optionel)</label>
                                    <div class="col-md-12">
                                        <input name="formular" type="file" placeholder=""
                                               class="form-control form-control-line"> </div>
                                </div>

                                <div class="form-group">
                                    <label for="example-email" class="col-md-12">Email</label>
                                    <div class="col-md-12">
                                        <input value="{{ $data->email }}" name="email" type="email" placeholder="johndoe@admin.com"
                                                class="form-control form-control-line"
                                                id="example-email"> </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-md-12">Nouveau mot de passe</label>
                                    <div class="col-md-12">
                                        <input name="password" type="password" class="form-control form-control-line">
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label class="col-md-12">Confirmer mot de passe</label>
                                    <div class="col-md-12">
                                        <input  name="password" type="password" class="form-control form-control-line">
                                    </div>
                                </div>

                                @if(auth()->user()->isAdmin())
                                <div class="form-group">
                                    <label class="col-md-12">Rôle</label>
                                    <div class="col-md-12">
                                        <select name="role" class="form-control form-control-line">
                                            <option @if($data->role == 'Membre') selected @endif>Membre</option>
                                            <option @if($data->role == 'Admin') selected @endif>Admin</option>
                                        </select>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label class="col-md-12">Actif</label>
                                    <div class="col-md-12">
                                        <select name="active" class="form-control form-control-line">
                                            <option value="1" @if($data->active == 1) selected @endif>Oui</option>
                                            <option value="0" @if($data->active == 0) selected @endif>Non</option>
                                        </select>
                                    </div>
                                </div>
                            @endif
                                <br><br><br>

                                <div class="form-group">
                                    <div class="col-sm-12">
                                        <button class="btn btn-primary btn-block">Mettre à jour</button>
                                    </div>
                                </div>
                        </div>
                    </div>
                </form>
                <div class="col-md-4 col-xs-12">
                    <div class="white-box">
                        <div class="user-bg"> <img width="100%" alt="user" src="{{ asset('ample') }}/plugins/images/large/img1.jpg">
                            <div class="overlay-box">
                                <div class="user-content">
                                    <a href="javascript:void(0)"><img src="{{ url(env('STORAGE_PATH').$data->photo1) }}"
                                                                      class="thumb-lg img-circle" alt="img" style="object-fit: cover"></a>
                                    <h4 class="text-white">{{ $data->firstname }} {{ $data->name }}</h4>
                                    <h5 class="text-white">{{ $data->email }}</h5>
                                </div>
                            </div>
                        </div>
                        {{--                        <div class="user-btm-box">--}}
                        {{--                            <div class="col-md-4 col-sm-4 text-center">--}}
                        {{--                                <p class="text-purple"><i class="ti-facebook"></i></p>--}}
                        {{--                                <h1>258</h1>--}}
                        {{--                            </div>--}}
                        {{--                            <div class="col-md-4 col-sm-4 text-center">--}}
                        {{--                                <p class="text-blue"><i class="ti-twitter"></i></p>--}}
                        {{--                                <h1>125</h1>--}}
                        {{--                            </div>--}}
                        {{--                            <div class="col-md-4 col-sm-4 text-center">--}}
                        {{--                                <p class="text-danger"><i class="ti-dribbble"></i></p>--}}
                        {{--                                <h1>556</h1>--}}
                        {{--                            </div>--}}
                        {{--                        </div>--}}
                    </div>
                </div>
            </div>
            <!-- /.row -->
        </div>
        <!-- /.container-fluid -->
        <footer class="footer text-center"> 2020 &copy; AddressBook propulsé par <a href="https://sparkcorporation.org" target="_blank">Spark Corporation</a> </footer>
    </div>
    @endif
@endsection

